Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030426
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2015-07-26 14:322015-08-20 23:16
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision749f6786ae20
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030426: Strip down deprecated database.lib aka dbmanager.jar to bare minimum needed

DescriptionCurrently all erp compile run also

ant database.lib
taking small build.xml in src-db/build.xml to compiled to classes which are deprecated and nearly completely unused for years.

./com/openbravo/db/OpenbravoMasterdataFilter.java
./com/openbravo/db/OpenbravoExcludeFilter.java
./com/openbravo/db/OpenbravoMetadataFilter.java
./com/openbravo/db/OpenbravoDataFilter.java

However they are still referenced in a few places to cannot be deleted completely.

Instead dumb down all the code compiling them to minimum needed to remove a few annoyances.

List of changes:
- Delete 'OpenbravoDB' eclipse project.
  - Not useful at all as the classes it contains are not useful
  - On top project classpath definition broken so could not even be used as is
  - Also 'Search nested projects' on import main Openbravo .project find it also
    Meaning one needs to every time unmark it
- Remove ant output spam calling database.lib
  As currently it runs through database.lib,init,compile.build.jar,jar
  Clean that up to be database.lib,compile.jar
- Delete all parts from src-db/build.xml which are not needed for that
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028703 newshuehner dbmanager.jar & src-db/src removal 

-  Notes
(0079102)
hgbot (developer)
2015-07-28 15:21

Repository: erp/devel/pi
Changeset: 09fcfec60e53d04d24e1b24f235ae829fe69adce
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Jul 26 14:33:43 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/09fcfec60e53d04d24e1b24f235ae829fe69adce [^]

Issue 30426: Delete useless/broken OpenbravoDB eclipse project definition.

---
R src-db/.ant-targets-build.xml
R src-db/.classpath
R src-db/.project
---
(0079103)
hgbot (developer)
2015-07-28 15:21

Repository: erp/devel/pi
Changeset: 749f6786ae201acd211404295dfb07992775f670
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Jul 26 14:36:40 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/749f6786ae201acd211404295dfb07992775f670 [^]

Fixed 30426: Cleanup src-db/build.xml to be only minimum needed.

- remove 'doc' target as javadoc for those 4 unused classes is not useful
- remove 'build' target calling doc as not referenced from main erp build.xml
- Move content of build.jar target into jar target to simplify callign sequence
  from init compile, jar, build.jar to just init, compile, jar
- Move explicit init target and move the 2 mkdir into compile itself
  to again simplify calling sequence further to
  compile, jar
- Siplify classpath definition as it does not need anything from main
  erp source.path/lib

---
M src-db/build.xml
---
(0079207)
alostale (developer)
2015-08-06 08:05

code reviewed
(0079510)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-26 14:32 shuehner New Issue
2015-07-26 14:32 shuehner Assigned To => shuehner
2015-07-26 14:32 shuehner Modules => Core
2015-07-26 14:32 shuehner Triggers an Emergency Pack => No
2015-07-28 15:21 hgbot Checkin
2015-07-28 15:21 hgbot Note Added: 0079102
2015-07-28 15:21 hgbot Checkin
2015-07-28 15:21 hgbot Note Added: 0079103
2015-07-28 15:21 hgbot Status new => resolved
2015-07-28 15:21 hgbot Resolution open => fixed
2015-07-28 15:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/749f6786ae201acd211404295dfb07992775f670 [^]
2015-07-28 15:22 shuehner Review Assigned To => alostale
2015-08-06 08:05 alostale Note Added: 0079207
2015-08-06 08:05 alostale Status resolved => closed
2015-08-06 08:05 alostale Fixed in Version => 3.0PR15Q4
2015-08-06 08:06 alostale Relationship added related to 0028703
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079510


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker